package com.example.onlinejudge.model.dto.questionSubmit;

import com.example.onlinejudge.common.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@ApiModel("查询题目请求")
@Data
@EqualsAndHashCode(callSuper = true)
public class QuestionSubmitQueryRequest extends PageRequest implements Serializable {

        @ApiModelProperty("编程语言")
        private String language;

        @ApiModelProperty("提交状态")
        private Integer status;

        @ApiModelProperty("题目 id")
        private Long questionId;


        @ApiModelProperty("用户 id")
        private Long userId;

        private static final long serialVersionUID = 1L;
}
